---
updatedAt: 2026-09-11T21:42:40.000Z
agentTools:
  projectIndex: https://vendy.readme.io/llms.txt
---

# Get Wallets

Endpoint to get all wallets for a business of a client or merchant by the business Id.

**Request:**

| Field      | Type    | Description                                              |
| :--------- | :------ | :------------------------------------------------------- |
| businessId | Integer | Unique identifier of the business (***Path Parameter***) |

### Example request

```curl
curl --location 'https://api.myvendy.com/wallets/{businessId}' \
--header 'AccessKey: YOUR_ACCESS_KEY' \
--header 'SecretKey: YOUR_SECRET_KEY'
```

**Response:**

| Field  | Type                                                           | Description                                            |
| :----- | :------------------------------------------------------------- | :----------------------------------------------------- |
| status | Boolean                                                        | States if the request was successfully executed or not |
| code   | Integer                                                        | Internal code, success if 200                          |
| data   | Array\[[Wallet](https://vendy.readme.io/reference/business-1)] | List of wallets                                        |

### Example response

```json
{
    "status": true,
    "code": 200,
    "msg": "wallets",
    "data": [
        {
            "id": 1749,
            "ownerid": 930,
            "uid": 156,
            "businessId": 930,
            "balance": 0,
            "lockedBalance": 0,
            "meta": null,
            "pendingInflow": 0,
            "pendingWithdrawal": 0,
            "availableBalance": 0,
            "status": "active",
            "type": "balance",
            "currency": "ngn",
            "fee": 0.015,
            "createdAt": "2023-06-23T00:14:45.000Z",
            "updatedAt": "2023-06-23T00:14:45.000Z",
            "deletedAt": null
        },
        {
            "id": 1750,
            "ownerid": 930,
            "uid": 156,
            "businessId": 930,
            "balance": 0,
            "lockedBalance": 0,
            "meta": null,
            "pendingInflow": 0,
            "pendingWithdrawal": 0,
            "availableBalance": 0,
            "status": "active",
            "type": "commission",
            "currency": "ngn",
            "fee": 0.001,
            "createdAt": "2023-06-23T00:14:45.000Z",
            "updatedAt": "2023-06-23T00:14:45.000Z",
            "deletedAt": null
        }
    ]
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "vendy-live",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.myvendy.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "AccessKey": {
        "type": "apiKey",
        "in": "header",
        "name": "AccessKey",
        "description": "Merchant access key. Aliases accepted by the API: x-access-key, accesskey, access_key."
      },
      "SecretKey": {
        "type": "apiKey",
        "in": "header",
        "name": "SecretKey",
        "description": "Merchant secret key. Aliases accepted by the API: x-secret-key, secretkey, secret_key."
      }
    }
  },
  "security": [
    {
      "AccessKey": [],
      "SecretKey": []
    }
  ],
  "paths": {
    "/wallets/{businessId}": {
      "get": {
        "summary": "Get Wallets",
        "description": "",
        "operationId": "get-wallets",
        "parameters": [
          {
            "name": "businessId",
            "in": "path",
            "description": "Unique identifier of business",
            "schema": {
              "type": "integer",
              "format": "int32"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"status\": true,\n    \"code\": 200,\n    \"msg\": \"wallets\",\n    \"data\": [\n        {\n            \"id\": 1749,\n            \"ownerid\": 930,\n            \"uid\": 156,\n            \"businessId\": 930,\n            \"balance\": 0,\n            \"lockedBalance\": 0,\n            \"meta\": null,\n            \"pendingInflow\": 0,\n            \"pendingWithdrawal\": 0,\n            \"availableBalance\": 0,\n            \"status\": \"active\",\n            \"type\": \"balance\",\n            \"currency\": \"ngn\",\n            \"fee\": 0.015,\n            \"createdAt\": \"2023-06-23T00:14:45.000Z\",\n            \"updatedAt\": \"2023-06-23T00:14:45.000Z\",\n            \"deletedAt\": null\n        },\n        {\n            \"id\": 1750,\n            \"ownerid\": 930,\n            \"uid\": 156,\n            \"businessId\": 930,\n            \"balance\": 0,\n            \"lockedBalance\": 0,\n            \"meta\": null,\n            \"pendingInflow\": 0,\n            \"pendingWithdrawal\": 0,\n            \"availableBalance\": 0,\n            \"status\": \"active\",\n            \"type\": \"commission\",\n            \"currency\": \"ngn\",\n            \"fee\": 0.001,\n            \"createdAt\": \"2023-06-23T00:14:45.000Z\",\n            \"updatedAt\": \"2023-06-23T00:14:45.000Z\",\n            \"deletedAt\": null\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "code": {
                      "type": "integer",
                      "example": 200,
                      "default": 0
                    },
                    "msg": {
                      "type": "string",
                      "example": "wallets"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer",
                            "example": 1749,
                            "default": 0
                          },
                          "ownerid": {
                            "type": "integer",
                            "example": 930,
                            "default": 0
                          },
                          "uid": {
                            "type": "integer",
                            "example": 156,
                            "default": 0
                          },
                          "businessId": {
                            "type": "integer",
                            "example": 930,
                            "default": 0
                          },
                          "balance": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "lockedBalance": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "meta": {},
                          "pendingInflow": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "pendingWithdrawal": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "availableBalance": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "status": {
                            "type": "string",
                            "example": "active"
                          },
                          "type": {
                            "type": "string",
                            "example": "balance"
                          },
                          "currency": {
                            "type": "string",
                            "example": "ngn"
                          },
                          "fee": {
                            "type": "number",
                            "example": 0.015,
                            "default": 0
                          },
                          "createdAt": {
                            "type": "string",
                            "example": "2023-06-23T00:14:45.000Z"
                          },
                          "updatedAt": {
                            "type": "string",
                            "example": "2023-06-23T00:14:45.000Z"
                          },
                          "deletedAt": {}
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "security": [
          {
            "AccessKey": [],
            "SecretKey": []
          }
        ]
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```